Bug 1280018 - [abrt] plasma-workspace: SNIProxy::SNIProxy(): xembedsniproxy killed by SIGSEGV
Summary: [abrt] plasma-workspace: SNIProxy::SNIProxy(): xembedsniproxy killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:163c0bc9ac3cc10107108187fab...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-10 18:13 UTC by Timothy M. Butterworth
Modified: 2016-12-20 15:38 UTC (History)
60 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 15:38:22 UTC


Attachments (Terms of Use)
File: backtrace (58.94 KB, text/plain)
2015-11-10 18:13 UTC, Timothy M. Butterworth
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-10 18:13 UTC, Timothy M. Butterworth
no flags Details
File: core_backtrace (6.07 KB, text/plain)
2015-11-10 18:13 UTC, Timothy M. Butterworth
no flags Details
File: dso_list (13.99 KB, text/plain)
2015-11-10 18:13 UTC, Timothy M. Butterworth
no flags Details
File: environ (2.13 KB, text/plain)
2015-11-10 18:13 UTC, Timothy M. Butterworth
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-10 18:13 UTC, Timothy M. Butterworth
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-10 18:13 UTC, Timothy M. Butterworth
no flags Details
File: maps (62.05 KB, text/plain)
2015-11-10 18:13 UTC, Timothy M. Butterworth
no flags Details
File: mountinfo (3.51 KB, text/plain)
2015-11-10 18:13 UTC, Timothy M. Butterworth
no flags Details
File: open_fds (595 bytes, text/plain)
2015-11-10 18:13 UTC, Timothy M. Butterworth
no flags Details
File: proc_pid_status (1009 bytes, text/plain)
2015-11-10 18:13 UTC, Timothy M. Butterworth
no flags Details
File: var_log_messages (319 bytes, text/plain)
2015-11-10 18:13 UTC, Timothy M. Butterworth
no flags Details

Description Timothy M. Butterworth 2015-11-10 18:13:08 UTC
Version-Release number of selected component:
plasma-workspace-5.4.2-8.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
global_pid:     1836
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SNIProxy::SNIProxy at ../../xembed-sni-proxy/sniproxy.cpp:164
 #1 FdoSelectionManager::dock at ../../xembed-sni-proxy/fdoselectionmanager.cpp:151
 #2 FdoSelectionManager::nativeEventFilter at ../../xembed-sni-proxy/fdoselectionmanager.cpp:118
 #3 QAbstractEventDispatcher::filterNativeEvent at kernel/qabstracteventdispatcher.cpp:460
 #4 QXcbConnection::handleXcbEvent at qxcbconnection.cpp:1034
 #5 QXcbConnection::processXcbEvents at qxcbconnection.cpp:1527
 #6 QObject::event at kernel/qobject.cpp:1239
 #7 QCoreApplication::notify at kernel/qcoreapplication.cpp:1038
 #8 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
 #9 QCoreApplication::sendEvent at kernel/qcoreapplication.h:224

Comment 1 Timothy M. Butterworth 2015-11-10 18:13:13 UTC
Created attachment 1092380 [details]
File: backtrace

Comment 2 Timothy M. Butterworth 2015-11-10 18:13:15 UTC
Created attachment 1092381 [details]
File: cgroup

Comment 3 Timothy M. Butterworth 2015-11-10 18:13:16 UTC
Created attachment 1092382 [details]
File: core_backtrace

Comment 4 Timothy M. Butterworth 2015-11-10 18:13:17 UTC
Created attachment 1092383 [details]
File: dso_list

Comment 5 Timothy M. Butterworth 2015-11-10 18:13:18 UTC
Created attachment 1092384 [details]
File: environ

Comment 6 Timothy M. Butterworth 2015-11-10 18:13:20 UTC
Created attachment 1092385 [details]
File: exploitable

Comment 7 Timothy M. Butterworth 2015-11-10 18:13:21 UTC
Created attachment 1092386 [details]
File: limits

Comment 8 Timothy M. Butterworth 2015-11-10 18:13:22 UTC
Created attachment 1092387 [details]
File: maps

Comment 9 Timothy M. Butterworth 2015-11-10 18:13:24 UTC
Created attachment 1092388 [details]
File: mountinfo

Comment 10 Timothy M. Butterworth 2015-11-10 18:13:25 UTC
Created attachment 1092389 [details]
File: open_fds

Comment 11 Timothy M. Butterworth 2015-11-10 18:13:26 UTC
Created attachment 1092390 [details]
File: proc_pid_status

Comment 12 Timothy M. Butterworth 2015-11-10 18:13:27 UTC
Created attachment 1092391 [details]
File: var_log_messages

Comment 13 xvr 2015-11-17 18:07:11 UTC
Another user experienced a similar problem:

Just login from sddm. The issue occurs right after kde's startup

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
global_pid:     2799
kernel:         4.2.6-300.fc23.x86_64
package:        plasma-workspace-5.4.3-3.fc23
reason:         xembedsniproxy killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 mathieu.carpentier 2015-11-23 18:10:10 UTC
I experienced a similar problem. Just login from sddm. The issue occurs right after kde's startup

- reason: xembedsniproxy killed by SIGSEGV
- package: plasma-workspace-5.4.3-3.fc23
- kernel: 4.2.6-300.fc23.x86_64

Comment 15 Amin 2015-11-24 17:51:07 UTC
Another user experienced a similar problem:

Start KDE plasma workspace and run any application.
Sometimes all environmnet "freeze". Frozen environment can be restart only by Ctrl-Alt-Backspace or pkill kde in neighbour console (Ctrl-Alt-F3, login, use pkill). 

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/xembedsniproxy
crash_function: SNIProxy::SNIProxy
executable:     /usr/bin/xembedsniproxy
global_pid:     1407
kernel:         4.2.5-300.fc23.i686+PAE
package:        plasma-workspace-5.4.3-2.fc23
reason:         xembedsniproxy killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Fedora End Of Life 2016-11-24 13:16:19 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2016-12-20 15:38:22 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.